
if($(".instagram_wrapper").is(":visible")) {


    $('.home-author').slick({
        dots: true,
        infinite: false,
        speed: 300,
        slidesToShow: 6,
        slidesToScroll: 6,
        responsive: [
            {
                breakpoint: 768,
                settings: {
                    slidesToShow: 4,
                    slidesToScroll: 4
                }
            },
            {
                breakpoint: 380,
                settings: {
                    slidesToShow: 4,
                    slidesToScroll: 4
                }
            }
        ]
    });
}

if($(".swiper-container").is(":visible")) {


           var swiper = new Swiper('.swiper-container', {
               navigation: {
                   nextEl: '.swiper-button-next',
                   prevEl: '.swiper-button-prev',
               },
               parallax: true,
               loop  : true,
               slidesPerView:1,
               items: 1,
               speed: 1000,
           });

}
/* Live Search Input burda livesearch_input classını kaldırırsan birşey yapmaz */
$('.livesearch_input').on("keyup input", function(){
    var inputVal = $(this).val();
    var resultDropdown = $(this).parent().find(".menu_search_products");
    if(inputVal.length){
        $(".menu_search_content").addClass("active");
        $(".menu_box_wrapper").addClass("active");
        $.get('action/livesearch.php', {term: inputVal}).done(function(data){
            /* Gelen sonucu ekrana yazdırıyoruz. */
            resultDropdown.html(data);
        });
    }else{
        $(".menu_box_wrapper").removeClass("active");
        $(".menu_search_content").removeClass("active");
        resultDropdown.empty();
    }
});
$(".showclick").click(function(e){
    var target = $(this).attr("data-target");
    if($(this).attr("data-class")){
       $(target).css("display","flex");
    }
    else{
        $(target).fadeIn();
    }
});
$(".hideclick").click(function(){
    var target = $(this).attr("data-target");
    $(target).fadeOut();
});

/* Black And White Theme Switch */
$("#radio-1").change(function (){
    var option = $("#radio-1");
    var toggle_switch = option.is(':checked');
    toggle_switch = toggle_switch;
    localStorage.setItem("toggle", toggle_switch);
    theme_switch(toggle_switch);
});


var setInitialMenuState = function() {
    // Note: This retrieves a String, not a Boolean.
    var state = localStorage.getItem("toggle") === 'true';
    theme_switch(state);
};

( function($) {

    function iframeModalOpen(){

        // impostiamo gli attributi da aggiungere all'iframe es: data-src andrà ad impostare l'url dell'iframe
        $('.modalButton').on('click', function(e) {
            var src = $(this).attr('data-src');
            var width = $(this).attr('data-width') || 640; // larghezza dell'iframe se non impostato usa 640
            var height = $(this).attr('data-height') || 360; // altezza dell'iframe se non impostato usa 360

            var allowfullscreen = $(this).attr('data-video-fullscreen'); // impostiamo sul bottone l'attributo allowfullscreen se è un video per permettere di passare alla modalità tutto schermo

            // stampiamo i nostri dati nell'iframe
            $("#iframeModal iframe").attr({
                'src': src,
                'height': height,
                'width': width,
                'allowfullscreen':''
            });
        });

        // se si chiude la modale resettiamo i dati dell'iframe per impedire ad un video di continuare a riprodursi anche quando la modale è chiusa
        $('#iframeModal').on('hidden.bs.modal', function(){
            $(this).find('iframe').html("");
            $(this).find('iframe').attr("src", "");
        });
    }

    $(document).ready(function(){
        iframeModalOpen();
    });

} ) ( jQuery );



function theme_switch(val){
    var option = $("#radio-1");
    if (val) {
        option.prop('checked', true);
        $("body").addClass("black_theme");
    } else {
        option.prop('checked', false);
        $("body").removeClass("black_theme");
    }
}
$(window).load(function(){
    console.log(localStorage.getItem("toggle"));
    setInitialMenuState();
});

$(document).ready(function(){
    if($(".fancybox").is(":visible")) {
        $(".fancybox").fancybox();

    }
});